Bug 1007351 - SELinux is preventing /usr/sbin/ifconfig from 'getattr' accesses on the file /proc/<pid>/net/dev.
SELinux is preventing /usr/sbin/ifconfig from 'getattr' accesses on the file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1bd81c6383e60a980d5b0fd4c3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 06:11 EDT by Sven Kieske
Modified: 2013-09-22 20:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Kieske 2013-09-12 06:11:41 EDT
Description of problem:
SELinux is preventing /usr/sbin/ifconfig from 'getattr' accesses on the file /proc/<pid>/net/dev.

*****  Plugin catchall (100. confidence) suggests  ***************************

If sie denken, dass es ifconfig standardmässig erlaubt sein sollte, getattr Zugriff auf dev file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep ifconfig /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:passenger_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                /proc/<pid>/net/dev [ file ]
Source                        ifconfig
Source Path                   /usr/sbin/ifconfig
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           net-tools-2.0-0.6.20130109git.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.10-200.fc19.x86_64 #1 SMP Thu
                              Aug 29 19:05:45 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-09-04 16:31:41 CEST
Last Seen                     2013-09-08 04:01:07 CEST
Local ID                      23784bdb-1255-4ae0-af3e-e47f80062526

Raw Audit Messages
type=AVC msg=audit(1378605667.576:9199): avc:  denied  { getattr } for  pid=19717 comm="ifconfig" path="/proc/19717/net/dev" dev="proc" ino=4026531975 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file


type=SYSCALL msg=audit(1378605667.576:9199): arch=x86_64 syscall=fstat success=yes exit=0 a0=6 a1=7fff78011010 a2=7fff78011010 a3=1 items=0 ppid=19716 pid=19717 auid=4294967295 uid=52 gid=52 euid=52 suid=52 fsuid=52 egid=52 sgid=52 fsgid=52 ses=4294967295 tty=(none) comm=ifconfig exe=/usr/sbin/ifconfig subj=system_u:system_r:passenger_t:s0 key=(null)

Hash: ifconfig,passenger_t,proc_net_t,file,getattr

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-09-12 07:57:15 EDT
The fix has been added.

commit 15e5cb96def577cd86b9f1e046a09c48989d25f2
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Sep 12 11:25:12 2013 +0200

    Allow passenger to execute ifconfig
Comment 2 Fedora Update System 2013-09-16 13:15:34 EDT
selinux-policy-3.12.1-74.4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.4.fc19
Comment 3 Fedora Update System 2013-09-18 09:02:22 EDT
Package selinux-policy-3.12.1-74.4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17007/selinux-policy-3.12.1-74.4.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 20:33:52 EDT
selinux-policy-3.12.1-74.4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.